{
  modulesPath,
  ...
}:

{
  imports = [
    (modulesPath + "/profiles/qemu-guest.nix")
  ];

  boot = {
    initrd = {
      availableKernelModules = [
        "ata_piix"
        "uhci_hcd"
        "xen_blkfront"
        "vmw_pvscsi"
      ];
      kernelModules = [ "nvme" ];
    };
    loader.grub = {
      efiSupport = true;
      efiInstallAsRemovable = true;
    };
    tmp.cleanOnBoot = true;
  };

  zramSwap.enable = true;
}
