{
  config,
  lib,
  ...
}:

let
  cfg = config.modules.programs.steam;
in
{
  options.modules.programs.steam = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    programs.steam.enable = true;

    systemd.extraConfig = "DefaultLimitNOFILE=1048576";
  };
}
