{
  config,
  lib,
  pkgs,
  ...
}:

let
  cfg = config.modules.programs.brave;
in
{
  options.modules.programs.brave = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    user.packages = with pkgs; [
      brave
    ];
  };
}
