final: prev: {
  gvdb = prev.fetchgit {
    url = "https://gitlab.gnome.org/GNOME/gvdb.git";
    rev = "b54bc5da25127ef416858a3ad92e57159ff565b3"; # From gvdb_wrap
    sha256 = "c56yOepnKPEYFcU1B1TrDl8ydU0JU+z6R8siAQP4d2A=";
  };

  mutter = prev.mutter.overrideAttrs (attrs: {
    src = prev.fetchurl {
      url = "https://gitlab.gnome.org/Community/Ubuntu/mutter/-/archive/triple-buffering-v4-47/mutter-triple-buffering-v4-47.tar.gz";
      sha256 = "4u8uAYdqAVEl1rM+vPHsuLHy9Ji1WjrYTZQ6B4DBjdA=";
    };

    postPatch = ''
      mkdir -p subprojects/gvdb
      cp -r ${final.gvdb}/* subprojects/gvdb/

      ${attrs.postPatch or ""}
    '';
  });
}
